Bug 9218 - Samba panics if a user specifies an invalid port number
Samba panics if a user specifies an invalid port number
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.0rc1
All All
: P5 normal
: ---
Assigned To: Andreas Schneider
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 07:59 UTC by Andreas Schneider
Modified: 2012-10-31 10:55 UTC (History)
1 user (show)

See Also:


Attachments
v4-0-test patch (1.95 KB, patch)
2012-09-27 08:00 UTC, Andreas Schneider
jra: review+
Details
v3-6-test patch (2.70 KB, patch)
2012-09-27 08:00 UTC, Andreas Schneider
jra: review+
Details
v3-5-test patch (2.70 KB, application/x-download)
2012-09-27 08:01 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2012-09-27 07:59:26 UTC
Samba calls the panic function if a user specifies invalid port numbers and dumps a core. We should exit cleanly here and tell the user what he did wrong.
Comment 1 Andreas Schneider 2012-09-27 08:00:13 UTC
Created attachment 7949 [details]
v4-0-test patch
Comment 2 Andreas Schneider 2012-09-27 08:00:52 UTC
Created attachment 7950 [details]
v3-6-test patch
Comment 3 Andreas Schneider 2012-09-27 08:01:41 UTC
Created attachment 7951 [details]
v3-5-test patch
Comment 4 Jeremy Allison 2012-09-27 16:56:59 UTC
Re-assigning to Karolin for inclusion in 4.0.0rc.next, 3.6.next and 3.5.next.
Jeremy.
Comment 5 Karolin Seeger 2012-09-28 07:23:18 UTC
Pushed to autobuild-v4-0-test, v3-6-test and v3-5-test.
Closing out bug report.

Thanks!
Comment 6 Karolin Seeger 2012-10-18 09:56:07 UTC
Re-opening bug report.

The patch for 3.5 seems to break 'make test' on my system.

Domain=[SAMBA-TEST] OS=[Unix] Server=[Samba 3.5.19-GIT-900b292-test]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME
creating lame upcase table
creating lame lowcase table
Domain=[SAMBA-TEST] OS=[Unix] Server=[Samba 3.5.19-GIT-900b292-test]
tree connect failed: NT_STATUS_BAD_NETWORK_NAME

Andreas, can you investigate, please?

Thanks!
Comment 7 Karolin Seeger 2012-10-31 10:38:21 UTC
Sorry, it seems to be another patch.
Still investigating.
Comment 8 Karolin Seeger 2012-10-31 10:55:08 UTC
(In reply to comment #7)
> Sorry, it seems to be another patch.
> Still investigating.

Reverted revert.
Closing out bug report.